Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::InfoStreamNull Class Reference

Null stream override to eat messages. More...

`#include <InfoStream.h>`

Inheritance diagram for Lucene::InfoStreamNull:

## Public Member Functions

virtual | ~InfoStreamNull ()
virtual String | getClassName ()
boost::shared_ptr< InfoStreamNull > | shared_from_this ()
virtual InfoStreamNull & | operator<< (const String &t)
Public Member Functions inherited from Lucene::InfoStream
virtual | ~InfoStream ()
boost::shared_ptr< InfoStream > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::InfoStream
static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::InfoStream
| InfoStream ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Null stream override to eat messages.

## Constructor & Destructor Documentation

## ◆ ~InfoStreamNull()

virtual Lucene::InfoStreamNull::~InfoStreamNull | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::InfoStreamNull::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::InfoStreamNull::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::InfoStream.

## ◆ operator<<()

virtual InfoStreamNull & Lucene::InfoStreamNull::operator<< | ( | const String & | t | ) |

virtual

Implements Lucene::InfoStream.

## ◆ shared_from_this()

boost::shared_ptr< InfoStreamNull > Lucene::InfoStreamNull::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- InfoStream.h

clucene.sourceforge.net